/*
 Navicat Premium Data Transfer

 Source Server         : seeseele服务器
 Source Server Type    : MySQL
 Source Server Version : 80021
 Source Host           : 175.178.124.133:3306
 Source Schema         : vrone

 Target Server Type    : MySQL
 Target Server Version : 80021
 File Encoding         : 65001

 Date: 02/12/2024 19:06:16
*/

SET NAMES utf8mb4;
SET FOREIGN_KEY_CHECKS = 0;

-- ----------------------------
-- Table structure for vr_cultural
-- ----------------------------
DROP TABLE IF EXISTS `vr_cultural`;
CREATE TABLE `vr_cultural`  (
  `id` int NOT NULL AUTO_INCREMENT COMMENT 'id',
  `user_id` int NULL DEFAULT NULL COMMENT '用户id',
  `app_id` int NULL DEFAULT NULL COMMENT '展厅id',
  `title` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_german2_ci NULL DEFAULT NULL COMMENT '标题',
  `type_id` int NULL DEFAULT NULL COMMENT '类型',
  `status` tinyint NULL DEFAULT 1 COMMENT '状态',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `create_by` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_german2_ci NULL DEFAULT NULL COMMENT '创建者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '修改时间',
  `update_by` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_german2_ci NULL DEFAULT NULL COMMENT '修改者',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 8 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_german2_ci COMMENT = '文创产品表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of vr_cultural
-- ----------------------------
INSERT INTO `vr_cultural` VALUES (1, 100, 5, '111', 1, 1, '2024-07-21 01:22:42', NULL, '2024-07-21 01:30:49', NULL);
INSERT INTO `vr_cultural` VALUES (2, 100, 5, '12', 1, 0, '2024-07-21 01:38:21', NULL, '2024-07-21 01:47:06', NULL);
INSERT INTO `vr_cultural` VALUES (3, 100, 3, '1', 1, 1, '2024-07-21 01:47:16', NULL, NULL, NULL);
INSERT INTO `vr_cultural` VALUES (4, 100, 28, 'test', 1, 1, '2024-07-21 02:57:50', NULL, NULL, NULL);
INSERT INTO `vr_cultural` VALUES (5, 100, 5, '1', 1, 1, '2024-07-29 16:11:32', NULL, NULL, NULL);
INSERT INTO `vr_cultural` VALUES (6, 100, 5, '1', 1, 1, '2024-07-29 16:14:59', NULL, NULL, NULL);
INSERT INTO `vr_cultural` VALUES (7, 100, 5, '31223123', 1, 1, '2024-07-29 16:15:18', NULL, NULL, NULL);

SET FOREIGN_KEY_CHECKS = 1;
