/*
 Navicat Premium Data Transfer

 Source Server         : seeseele服务器
 Source Server Type    : MySQL
 Source Server Version : 80021
 Source Host           : 175.178.124.133:3306
 Source Schema         : vrone

 Target Server Type    : MySQL
 Target Server Version : 80021
 File Encoding         : 65001

 Date: 02/12/2024 19:06:41
*/

SET NAMES utf8mb4;
SET FOREIGN_KEY_CHECKS = 0;

-- ----------------------------
-- Table structure for vr_data_source
-- ----------------------------
DROP TABLE IF EXISTS `vr_data_source`;
CREATE TABLE `vr_data_source`  (
  `id` int NOT NULL AUTO_INCREMENT COMMENT 'id',
  `app_id` int NULL DEFAULT NULL COMMENT '展厅id',
  `title` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_german2_ci NULL DEFAULT NULL COMMENT '数据源标题',
  `spot` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_german2_ci NULL DEFAULT NULL COMMENT '展示点',
  `type` int NULL DEFAULT NULL COMMENT '数据类型',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_time` datetime NULL DEFAULT NULL COMMENT '修改时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 21 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_german2_ci COMMENT = '数据源表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of vr_data_source
-- ----------------------------
INSERT INTO `vr_data_source` VALUES (1, 1, '测试数据1', '1&1#4&1#$&2', 1, NULL, '2024-05-12 02:23:43');
INSERT INTO `vr_data_source` VALUES (2, 1, '测试数据源2', '1&2', 1, NULL, '2024-06-21 20:54:24');
INSERT INTO `vr_data_source` VALUES (3, 1, '测试数据源3', '1&3#4&2', 2, NULL, NULL);
INSERT INTO `vr_data_source` VALUES (4, 1, '测试数据源4', '', 2, NULL, NULL);
INSERT INTO `vr_data_source` VALUES (5, NULL, '测试数据源1', '', 1, NULL, NULL);
INSERT INTO `vr_data_source` VALUES (6, NULL, '测试数据源1', '', 1, NULL, NULL);
INSERT INTO `vr_data_source` VALUES (7, 29, '测试数据源', '', 1, NULL, NULL);
INSERT INTO `vr_data_source` VALUES (8, 29, '测试数据源2', '', 2, NULL, NULL);
INSERT INTO `vr_data_source` VALUES (9, 30, '数据源1', '', 1, NULL, NULL);
INSERT INTO `vr_data_source` VALUES (10, 30, '数据源2', '', 2, NULL, NULL);
INSERT INTO `vr_data_source` VALUES (11, 30, '数据源3', '', 1, NULL, NULL);
INSERT INTO `vr_data_source` VALUES (12, 30, '数据源4', '', 1, NULL, NULL);
INSERT INTO `vr_data_source` VALUES (13, 30, '数据源5', '', 1, NULL, NULL);
INSERT INTO `vr_data_source` VALUES (14, 30, '数据源6', '', 1, NULL, NULL);
INSERT INTO `vr_data_source` VALUES (15, 30, '数据源7', '', 1, NULL, NULL);
INSERT INTO `vr_data_source` VALUES (16, 29, '测试数据源3', '', 1, NULL, NULL);
INSERT INTO `vr_data_source` VALUES (17, 29, '测试数据源4', '', 1, NULL, NULL);
INSERT INTO `vr_data_source` VALUES (18, 33, '11', '', 1, NULL, NULL);
INSERT INTO `vr_data_source` VALUES (19, 34, '测试数据源1', '', 1, NULL, NULL);
INSERT INTO `vr_data_source` VALUES (20, 34, '测试数据源2', '', 2, NULL, NULL);

SET FOREIGN_KEY_CHECKS = 1;
