/*
 Navicat Premium Data Transfer

 Source Server         : seeseele服务器
 Source Server Type    : MySQL
 Source Server Version : 80021
 Source Host           : 175.178.124.133:3306
 Source Schema         : vrone

 Target Server Type    : MySQL
 Target Server Version : 80021
 File Encoding         : 65001

 Date: 02/12/2024 19:07:32
*/

SET NAMES utf8mb4;
SET FOREIGN_KEY_CHECKS = 0;

-- ----------------------------
-- Table structure for vr_template
-- ----------------------------
DROP TABLE IF EXISTS `vr_template`;
CREATE TABLE `vr_template`  (
  `id` int NOT NULL AUTO_INCREMENT COMMENT 'id',
  `title` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_german2_ci NULL DEFAULT NULL COMMENT '模板名称',
  `type` int NULL DEFAULT NULL COMMENT '模板类型（1：unity，2：720）',
  `url` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_german2_ci NULL DEFAULT NULL COMMENT '模板链接',
  `introduction` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_german2_ci NULL DEFAULT NULL COMMENT '模板简介',
  `industry` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_german2_ci NULL DEFAULT NULL COMMENT '行业',
  `user_id` int NULL DEFAULT NULL COMMENT '创建用户id',
  `view_count` int NULL DEFAULT NULL COMMENT '浏览量',
  `status` tinyint NULL DEFAULT NULL COMMENT '状态（-1不展示，0审核，1展示，2打回）',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_time` datetime NULL DEFAULT NULL COMMENT '修改时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 16 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_german2_ci COMMENT = '模板表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of vr_template
-- ----------------------------
INSERT INTO `vr_template` VALUES (11, '七牛云全景测试模板', 2, 'http://img.han-zhi.net/test/vrone/720', '七牛云测试模板', '教育', 100, 11, 1, '2024-05-24 15:47:02', '2024-06-10 14:43:13');
INSERT INTO `vr_template` VALUES (12, '七牛云unity测试模板', 1, 'http://img.han-zhi.net/test/vrone/unity', '七牛云unity测试模板', '教育', 100, 1, 1, '2024-06-10 09:42:38', NULL);
INSERT INTO `vr_template` VALUES (13, '七牛云全景测试模板2', 2, 'http://img.han-zhi.net/VRone/3', '七牛云全景测试模板2', NULL, 100, 111, 1, '2024-07-01 17:02:40', NULL);

SET FOREIGN_KEY_CHECKS = 1;
