package com.ruoyi.cultural.domain.vo;

import com.ruoyi.cultural.domain.CulturalLog;
import com.ruoyi.cultural.domain.CulturalType;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * 文创产品统计对象vo vr_cultural_log
 *
 * @author seeseele
 * @date 2024-07-22
 */
@ApiModel(value = "CulturalLogVo", description = "文创产品统计对象vo")
public class CulturalLogVo {

    @ApiModelProperty(value = "id")
    private Long id;

    @ApiModelProperty(value = "用户id")
    private Long userId;

    @ApiModelProperty(value = "用户")
    private String user;

    @ApiModelProperty(value = "类型id")
    private Long typeId;

    @ApiModelProperty(value = "类型")
    private CulturalType type;

    @ApiModelProperty(value = "数量")
    private Long count;

    public CulturalLogVo() {
    }

    public CulturalLogVo(CulturalLog culturalLog) {
        this.id = culturalLog.getId();
        this.userId = culturalLog.getUserId();
        this.typeId = culturalLog.getTypeId();
        this.count = culturalLog.getCount();
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public String getUser() {
        return user;
    }

    public void setUser(String user) {
        this.user = user;
    }

    public Long getTypeId() {
        return typeId;
    }

    public void setTypeId(Long typeId) {
        this.typeId = typeId;
    }

    public CulturalType getType() {
        return type;
    }

    public void setType(CulturalType type) {
        this.type = type;
    }

    public Long getCount() {
        return count;
    }

    public void setCount(Long count) {
        this.count = count;
    }
}
