package com.ruoyi.project.domain.vo;

import com.ruoyi.project.domain.Feedback;
import com.ruoyi.project.domain.VrUser;
import io.swagger.annotations.ApiModelProperty;

public class FeedbackVo {

    @ApiModelProperty(value = "id")
    private Long id;

    @ApiModelProperty(value = "类型id")
    private Long typeId;

    @ApiModelProperty(value = "用户id")
    private Long userId;

    @ApiModelProperty(value = "用户名")
    private String userName;

    @ApiModelProperty(value = "用户电话")
    private String phone;

    @ApiModelProperty(value = "标题")
    private String title;

    @ApiModelProperty(value = "描述")
    private String description;

    @ApiModelProperty(value = "附件url")
    private String attachmentUrl;

    @ApiModelProperty(value = "状态")
    private Integer status;

    public FeedbackVo() {
    }

    public FeedbackVo(Feedback feedback, VrUser user) {
        this.id = feedback.getId();
        this.attachmentUrl = feedback.getAttachmentUrl();
        this.status = feedback.getStatus();
        this.description = feedback.getDescription();
        this.title = feedback.getTitle();
        this.typeId = feedback.getTypeId();
        this.userId = feedback.getUserId();
        this.phone = user.getPhone();
        this.userName = user.getUserName();
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public String getAttachmentUrl() {
        return attachmentUrl;
    }

    public void setAttachmentUrl(String attachmentUrl) {
        this.attachmentUrl = attachmentUrl;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public Long getTypeId() {
        return typeId;
    }

    public void setTypeId(Long typeId) {
        this.typeId = typeId;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }
}
