package com.ruoyi.project.domain.vo;

import com.ruoyi.project.domain.Spot;
import io.swagger.annotations.ApiModelProperty;

public class PanoramaVo {

    @ApiModelProperty(value = "id")
    private String id;

    @ApiModelProperty(value = "名称")
    private String name;

    @ApiModelProperty(value = "数据类型")
    private String type;

    @ApiModelProperty(value = "数据地址")
    private String url;

    @ApiModelProperty(value = "配置")
    private String config;

    @ApiModelProperty(value = "display")
    private boolean display;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url;
    }

    public String getConfig() {
        return config;
    }

    public void setConfig(String config) {
        this.config = config;
    }

    public boolean isDisplay() {
        return display;
    }

    public void setDisplay(boolean display) {
        this.display = display;
    }

    public PanoramaVo() {
    }

    public PanoramaVo(Spot spot) {
        this.id = spot.getId();
        this.name = spot.getName();
        this.type = spot.getType().toString();
        this.config = spot.getConfig();
        this.display = spot.isDisplay();
    }
}
