package com.ruoyi.project.service;

import com.alibaba.fastjson2.JSONObject;
import com.ruoyi.project.domain.vo.SceneVo;

import java.util.List;

public interface IVirtualService {

    /**
     * 获取app详情
     */
    JSONObject getAppInfo(Long appId);

    /**
     * 获取展厅下sceneVoList
     */
    List<SceneVo> getSceneVoList(Long appId);

    /**
     * 获取场景详情数据(unity)
     */
    JSONObject getCurrentSceneDataByUnity(Long sceneId);

    /**
     *  获取场景配置文件（全景）
     */
    JSONObject getSettingByPanorama(Long sceneId);

    /**
     * 获取场景详情数据(全景)
     */
    JSONObject getCurrentSceneDataByPanorama(Long sceneId);

}
