package com.ruoyi.domain;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;

/**
 * @author xuanxuan
 * 数据源对象 vr_data_source
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@ApiModel(value = "DataSource", description = "数据源对象")
public class MDataSource {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "id")
    private Long id;

    @ApiModelProperty(value = "展厅id")
    private Long appId;

    @ApiModelProperty(value = "数据源标题")
    private String title;

    @ApiModelProperty(value = "展示点")
    private String spot;

    @ApiModelProperty(value = "数据类型")
    private Long type;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @ApiModelProperty(value = "修改时间")
    private Date updateTime;

}
