package com.ruoyi.domain;

import com.ruoyi.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author xuanxuan
 */
@ApiModel(value = "Favorites", description = "收藏对象")
@Data
@NoArgsConstructor
@AllArgsConstructor
public class MFavorites{

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "id")
    private Long id;

    @ApiModelProperty(value = "用户id")
    private Long userId;

    @ApiModelProperty(value = "模板id")
    private String templateId;

    @ApiModelProperty(value = "添加时间")
    private String craeteTime;

    @ApiModelProperty(value = "修改时间")
    private String updateTime;

    @ApiModelProperty(value = "收藏状态")
    private String status;
}
