package com.ruoyi.domain;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;

/**
 * @author xuanxuan
 */
@ApiModel(value = "MFeedback", description = "反馈对象")
@Data
@NoArgsConstructor
@AllArgsConstructor
public class MFeedback {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "反馈ID")
    private Long id;

    @ApiModelProperty(value = "反馈类型ID")
    private Long typeId;

    @ApiModelProperty(value = "用户ID")
    private Long userId;

    @ApiModelProperty(value = "反馈标题")
    private String title;

    @ApiModelProperty(value = "反馈描述")
    private String description;

    @ApiModelProperty(value = "附件URL")
    private String attachmentUrl;

    @ApiModelProperty(value = "反馈状态")
    private Integer status;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @ApiModelProperty(value = "创建者")
    private String createBy;

    @ApiModelProperty(value = "修改时间")
    private Date updateTime;

    @ApiModelProperty(value = "修改者")
    private String updateBy;
}
