package com.ruoyi.domain;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;

/**
 * @author xuanxuan
 */
@ApiModel(value = "MFeedbackType", description = "反馈类型对象")
@Data
@NoArgsConstructor
@AllArgsConstructor
public class MFeedbackType {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "反馈类型ID")
    private Long id;

    @ApiModelProperty(value = "反馈类型标题")
    private String title;

    @ApiModelProperty(value = "反馈类型标题")
    private String description;

    @ApiModelProperty(value = "创建时间")
    private Date create_time;

    @ApiModelProperty(value = "创建者")
    private Date create_by;

    @ApiModelProperty(value = "修改时间")
    private Date update_time;

    @ApiModelProperty(value = "修改者")
    private Date update_by;
}
