package com.ruoyi.domain;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;
import java.time.LocalDateTime;
import java.util.Date;

/**
 * @author xuanxuan
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class MUser {
    private Long id;//用户id
    private String userName; //用户名
    private String phone;//用户手机号
    private String email;//用户邮箱
    private String password;//密码
    private BigDecimal money;//余额
    private BigDecimal totalMoney;//总充值
    private String avatar;//头像地址
    private int status;//账号状态（0正常 1停用）
    private LocalDateTime createTime;//创建时间
    private Date updateTime;//修改时间
    private String code;
}
