package com.ruoyi.domain.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author xuanxuan
 */
@ApiModel(value = "MFavoritesTemplateVo", description = "收藏模板对象")
@Data
@NoArgsConstructor
@AllArgsConstructor
public class MFavoritesTemplateVo {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "id")
    private Long id;

    @ApiModelProperty(value = "用户id")
    private Long userId;

    @ApiModelProperty(value = "模板id")
    private String templateId;

    @ApiModelProperty(value = "添加时间")
    private String craeteTime;

    @ApiModelProperty(value = "修改时间")
    private String updateTime;

    @ApiModelProperty(value = "收藏状态")
    private String status;

    //模板字段
    @ApiModelProperty(value = "名称")
    private String title;

    @ApiModelProperty(value = "类型（1：unity，2：720）")
    private Long type;

//    @ApiModelProperty(value = "链接")
//    private String url;

    @ApiModelProperty(value = "模板图片")
    private String imgUrl;

    @ApiModelProperty(value = "简介")
    private String introduction;

    @ApiModelProperty(value = "行业")
    private String industry;

    @ApiModelProperty(value = "浏览量")
    private Long viewCount;
}
