package com.ruoyi.domain.vo;

import io.swagger.annotations.ApiModel;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;

/**
 * @author xuanxuan
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@ApiModel(value = "RechargeVO", description = "充值对象vo")
public class MRechargeVO {
    private Long userId;         // 用户ID
    private BigDecimal amount;      // 充值金额
    private Integer paymentMethod;  // 支付方式（1银行转账 2支付宝 3微信 4账户余额）
}
