package com.ruoyi.mapper;

import com.ruoyi.domain.MTemplate;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * @author xuanxuan
 */
@Mapper
public interface MTemplateMapper {

    /**
     * 查询展厅模板
     *
     * @param id 展厅模板主键
     * @return 展厅模板
     */
    MTemplate selectTemplateById(Long id);

    /**
     * 查询展示的展厅模板列表
     *
     * @param template 展厅模板
     * @return 展厅模板集合
     */
    List<MTemplate> selectShowTemplateList(MTemplate template);

    /**
     * 修改展厅模板
     *
     * @param template 展厅模板
     * @return 结果
     */
    int updateTemplate(MTemplate template);
}
