package com.ruoyi.mapper;

import com.ruoyi.domain.MTransactions;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * 充值记录Mapper接口
 *
 * @author seeseele
 * @date 2024-07-10
 */
@Mapper
public interface MTransactionsMapper {

    /**
     * 查询充值记录
     *
     * @param id 充值记录主键
     * @return 充值记录
     */
    MTransactions selectTransactionsById(Long id);
//
//    /**
//     * 查询充值记录列表
//     *
//     * @param transactions 充值记录
//     * @return 充值记录集合
//     */
//    List<Transactions> selectTransactionsList(Transactions transactions);

    /**
     * 新增充值记录
     *
     * @param transactions 充值记录
     * @return 结果
     */
    int insertTransactions(MTransactions transactions);

    /**
     * 修改充值记录
     *
     * @param transactions 充值记录
     * @return 结果
     */
    int updateTransactions(MTransactions transactions);

    /**
     * 余额充值
     * @param transaction
     */
    void insertRecharge(MTransactions transaction);
}
