package com.ruoyi.service;

import com.ruoyi.domain.MTemplate;

import java.util.List;

/**
 * @author xuanxuan
 */
public interface MTemplateService {

    /**
     * 根据展厅模板id查询展厅模板
     *
     * @param id 展厅模板主键
     * @return 展厅模板
     */
    MTemplate selectTemplateById(Long id);

    /**
     * 查询展示的展厅模板列表
     *
     * @param template 展厅模板
     * @return 展厅模板集合
     */
    List<MTemplate> selectShowTemplateList(MTemplate template);

    /**
     * 修改展厅模板
     *
     * @param template 展厅模板
     * @return 结果
     */
    boolean updateTemplate(MTemplate template);
}
