package com.ruoyi.service.impl;

import com.ruoyi.domain.MFeedbackType;
import com.ruoyi.mapper.MFeedbackTypeMapper;
import com.ruoyi.service.MFeedbackTypeService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @author xuanxuan
 */
@Service
public class MFeedbackTypeServiceImpl implements MFeedbackTypeService {

    @Autowired
    private MFeedbackTypeMapper feedbackTypeMapper;

    /**
     * 根据id查询反馈类型列表
     *
     * @param
     * @return 结果
     */
    @Override
    public List<MFeedbackType> selectFeedbackType() {
        return feedbackTypeMapper.selectFeedbackType();
    }
}
