/*
 Navicat Premium Data Transfer

 Source Server         : seeseele服务器
 Source Server Type    : MySQL
 Source Server Version : 80021
 Source Host           : 175.178.124.133:3306
 Source Schema         : vrone

 Target Server Type    : MySQL
 Target Server Version : 80021
 File Encoding         : 65001

 Date: 02/12/2024 19:05:53
*/

SET NAMES utf8mb4;
SET FOREIGN_KEY_CHECKS = 0;

-- ----------------------------
-- Table structure for vr_app
-- ----------------------------
DROP TABLE IF EXISTS `vr_app`;
CREATE TABLE `vr_app`  (
  `id` int NOT NULL AUTO_INCREMENT COMMENT 'id',
  `user_id` int NULL DEFAULT NULL COMMENT '用户id',
  `title` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_german2_ci NULL DEFAULT NULL COMMENT '名称',
  `icon` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_german2_ci NULL DEFAULT NULL COMMENT '展厅图标',
  `cover` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_german2_ci NULL DEFAULT NULL COMMENT '缩略图url',
  `video` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_german2_ci NULL DEFAULT NULL COMMENT '视频url',
  `view_count` int NULL DEFAULT NULL COMMENT '展厅浏览量',
  `introduction` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_german2_ci NULL DEFAULT NULL COMMENT '简介',
  `status` tinyint NULL DEFAULT NULL COMMENT '状态（-1不展示，0审核，1展示，2打回）',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_time` datetime NULL DEFAULT NULL COMMENT '修改时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 40 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_german2_ci COMMENT = '展厅表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of vr_app
-- ----------------------------
INSERT INTO `vr_app` VALUES (1, 100, '测试展厅1', 'test_url', 'img.han-zhi.net/test/uploads/20240620150356103火海.png', 'test_url', 0, '测试展厅', 1, '2024-05-12 01:34:53', '2024-06-20 23:03:58');
INSERT INTO `vr_app` VALUES (2, 100, '测试展厅2', 'test_url', 'img.han-zhi.net/test/uploads/202406201503276061.jpeg', 'img.han-zhi.net/test/2b1b9ad4cbfcf6606c3f38b3120f0d6.png', 1, '测试展厅2', 1, '2024-05-12 01:34:58', '2024-06-20 23:03:34');
INSERT INTO `vr_app` VALUES (3, 100, '测试展厅3', 'test_url', 'img.han-zhi.net/test/uploads/20240620150303027bg01.png', 'img.han-zhi.net/test/VRONE-VIDEO/20240622091727232测试.mp4', 2, '测试展厅3', 1, '2024-05-12 01:35:02', '2024-06-22 17:17:28');
INSERT INTO `vr_app` VALUES (4, 100, '测试展厅4', 'test_url', 'img.han-zhi.net/test/VRONE-IMG/20240622080253725bg01.png', 'img.han-zhi.net/test/VRONE-VIDEO/2024062208025833210分钟.png', 3, '测试展厅', 1, '2024-05-12 01:35:06', '2024-06-22 16:02:59');
INSERT INTO `vr_app` VALUES (5, 100, '测试展厅5', 'test_url', 'img.han-zhi.net/test/uploads/20240620144128144bg01.png', 'img.han-zhi.net/test/VRONE-VIDEO/2024062208060227910分钟.png', 4, '测试展厅', 0, '2024-05-12 01:35:31', '2024-08-02 23:07:00');
INSERT INTO `vr_app` VALUES (12, 1, '123123', '', '', '', 0, '12312312', 0, '2024-05-17 16:33:28', NULL);
INSERT INTO `vr_app` VALUES (13, 1, '123', '', '', '', 0, '321', 0, '2024-05-17 16:46:03', NULL);
INSERT INTO `vr_app` VALUES (14, 1, '123', '', '', '', 0, '321', 0, '2024-05-17 16:46:26', NULL);
INSERT INTO `vr_app` VALUES (15, 1, '123', '', '', '', 0, '321', 0, '2024-05-17 16:46:47', NULL);
INSERT INTO `vr_app` VALUES (16, 100, '123', '', 'img.han-zhi.net/test/VRONE-IMG/2024062209194475410分钟.png', 'img.han-zhi.net/test/VRONE-VIDEO/20240622091945478测试.mp4', 0, '321', 0, '2024-05-17 16:47:36', '2024-06-22 17:19:46');
INSERT INTO `vr_app` VALUES (17, 100, '123', '', 'img.han-zhi.net/test/uploads/20240620153513993bg01.png', '', 0, '321', 0, '2024-05-17 16:47:45', '2024-06-20 23:35:45');
INSERT INTO `vr_app` VALUES (18, 100, '321', '', '', '', 0, '321', 0, '2024-05-17 17:06:13', NULL);
INSERT INTO `vr_app` VALUES (19, 100, '1667626', '', 'img.han-zhi.net/test/uploads/20240620144152754火海.png', '', 0, '水水水水水水水水水水水', 0, '2024-05-17 18:01:57', '2024-06-20 22:41:56');
INSERT INTO `vr_app` VALUES (20, 100, '2024-2-180', '', '', '', 0, '测试模拟数据', 1, '2024-05-18 16:01:08', '2024-05-18 16:01:14');
INSERT INTO `vr_app` VALUES (21, 100, '万里茶道', '', 'img.han-zhi.net/test/uploads/20240620153810142bg01.png', 'test_url', 0, '暂时为空', 0, '2024-05-24 15:40:04', '2024-08-02 23:07:41');
INSERT INTO `vr_app` VALUES (22, 100, '用例测试111', '', 'img.han-zhi.net/test/VRONE-IMG/2024062114205828610分钟.png', '', 0, '用例测试111', NULL, '2024-06-21 22:12:41', '2024-06-21 22:21:09');
INSERT INTO `vr_app` VALUES (23, 100, '', '', '', '', 0, '', 1, '2024-06-21 22:48:53', '2024-08-02 23:07:08');
INSERT INTO `vr_app` VALUES (24, 100, '异步测试', '', 'img.han-zhi.net/test/VRONE-IMG/2024062207514542610分钟.png', '', 0, '异步测试', NULL, '2024-06-22 15:51:46', NULL);
INSERT INTO `vr_app` VALUES (25, 100, '图书', '', 'img.han-zhi.net/test/VRONE-IMG/2024062208000852310分钟.png', 'img.han-zhi.net/test/VRONE-VIDEO/20240622080009090火海.png', 0, '图书', NULL, '2024-06-22 16:00:10', NULL);
INSERT INTO `vr_app` VALUES (26, 100, '测试异步图书', '', 'img.han-zhi.net/test/VRONE-IMG/2024062208015517610分钟.png', 'img.han-zhi.net/test/VRONE-VIDEO/20240622080155808火海.png', 0, '测试异步图书', NULL, '2024-06-22 16:01:56', NULL);
INSERT INTO `vr_app` VALUES (27, 100, '测试视频', '', 'img.han-zhi.net/test/VRONE-IMG/20240622122907513bg01.png', 'img.han-zhi.net/test/VRONE-VIDEO/20240622122912440测试.mp4', 0, '测试视频', NULL, '2024-06-22 20:29:14', NULL);
INSERT INTO `vr_app` VALUES (28, 100, '测试展厅1', '', 'img.han-zhi.net/test/VRONE-IMG/20240622180533092bg01.png', 'img.han-zhi.net/test/VRONE-VIDEO/20240622180537719测试.mp4', 0, '测试展厅1', 1, '2024-06-23 02:05:40', '2024-08-02 23:07:02');
INSERT INTO `vr_app` VALUES (29, 103, '测试展厅1', '', 'img.han-zhi.net/test/VRONE-IMG/20240622180747143bg01.png', 'img.han-zhi.net/test/VRONE-VIDEO/20240622180751626测试.mp4', 0, '测试展厅1', 1, '2024-06-23 02:07:53', '2024-07-26 11:05:27');
INSERT INTO `vr_app` VALUES (30, 103, '测试展厅2', '', 'img.han-zhi.net/test/VRONE-IMG/20240622181010150bg01.png', 'img.han-zhi.net/test/VRONE-VIDEO/20240622181015121测试.mp4', 0, '测试展厅2', 1, '2024-06-23 02:10:16', '2024-07-29 10:11:50');
INSERT INTO `vr_app` VALUES (31, 103, '测试展厅3', '', 'img.han-zhi.net/test/VRONE-IMG/20240623093459808bg01.png', 'img.han-zhi.net/test/VRONE-VIDEO/20240623093505463测试.mp4', 0, '测试展厅3', NULL, '2024-06-23 17:34:50', '2024-06-23 17:35:06');
INSERT INTO `vr_app` VALUES (32, 103, '测试展厅4', '', 'img.han-zhi.net/test/VRONE-IMG/2024062309352400710分钟.png', 'img.han-zhi.net/test/VRONE-VIDEO/20240623093524794测试.mp4', 0, '测试展厅4', NULL, '2024-06-23 17:35:25', NULL);
INSERT INTO `vr_app` VALUES (33, 105, '测试一', '', 'img.han-zhi.net/test/VRONE-IMG/20240623130525380b5b719582c1fe33c2508b73c05a9d73e.jpg', '', 0, 'adaa', NULL, '2024-06-23 21:05:26', NULL);
INSERT INTO `vr_app` VALUES (34, 103, '测试展厅5', '', 'img.han-zhi.net/test/VRONE-IMG/20240630063205293bg01.png', 'img.han-zhi.net/test/VRONE-VIDEO/20240630063153546测试.mp4', 0, '测试展厅5', NULL, '2024-06-30 14:31:54', '2024-06-30 14:32:14');
INSERT INTO `vr_app` VALUES (35, 103, '测试展厅6', '', 'img.han-zhi.net/test/VRONE-IMG/2024080215295205510分钟.png', '', 0, '测试展厅6测试展厅6测试展厅6测试展厅6', NULL, '2024-08-02 23:29:53', NULL);
INSERT INTO `vr_app` VALUES (36, 103, '测试展厅7', '', 'img.han-zhi.net/test/VRONE-IMG/20240802153055219火海.png', '', 0, '测试展厅7测试展厅7测试展厅7测试展厅7', NULL, '2024-08-02 23:30:56', NULL);
INSERT INTO `vr_app` VALUES (37, 103, '测试展厅8', '', 'img.han-zhi.net/test/VRONE-IMG/20240802153217253火海.png', '', 0, '测试展厅8测试展厅8测试展厅8', NULL, '2024-08-02 23:32:18', NULL);
INSERT INTO `vr_app` VALUES (38, 103, '测试展厅9', '', 'img.han-zhi.net/test/VRONE-IMG/2024080215335774010分钟.png', '', 0, '测试展厅9测试展厅9测试展厅9', NULL, '2024-08-02 23:33:58', NULL);
INSERT INTO `vr_app` VALUES (39, 103, '测试展厅10', '', 'img.han-zhi.net/test/VRONE-IMG/20240802153408873火海.png', '', 0, '测试展厅10测试展厅10测试展厅10', NULL, '2024-08-02 23:34:09', NULL);

SET FOREIGN_KEY_CHECKS = 1;
