/*
 Navicat Premium Data Transfer

 Source Server         : seeseele服务器
 Source Server Type    : MySQL
 Source Server Version : 80021
 Source Host           : 175.178.124.133:3306
 Source Schema         : vrone

 Target Server Type    : MySQL
 Target Server Version : 80021
 File Encoding         : 65001

 Date: 02/12/2024 19:06:34
*/

SET NAMES utf8mb4;
SET FOREIGN_KEY_CHECKS = 0;

-- ----------------------------
-- Table structure for vr_cultural_type
-- ----------------------------
DROP TABLE IF EXISTS `vr_cultural_type`;
CREATE TABLE `vr_cultural_type`  (
  `id` int NOT NULL AUTO_INCREMENT COMMENT 'id',
  `user_id` int NULL DEFAULT NULL COMMENT '用户id',
  `title` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_german2_ci NULL DEFAULT NULL COMMENT '标题',
  `description` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_german2_ci NULL DEFAULT NULL COMMENT '描述',
  `status` tinyint NULL DEFAULT 1 COMMENT '状态',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `create_by` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_german2_ci NULL DEFAULT NULL COMMENT '创建者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '修改时间',
  `update_by` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_german2_ci NULL DEFAULT NULL COMMENT '修改者',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 4 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_german2_ci COMMENT = '文创类型表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of vr_cultural_type
-- ----------------------------
INSERT INTO `vr_cultural_type` VALUES (1, 100, '纸扇', NULL, 1, '2024-07-19 14:19:52', '100', '2024-07-19 14:19:57', '100');
INSERT INTO `vr_cultural_type` VALUES (2, 100, 'test', '1', 0, '2024-07-21 02:55:17', NULL, NULL, NULL);
INSERT INTO `vr_cultural_type` VALUES (3, 100, 'test', '她她她', 0, '2024-07-21 02:57:30', NULL, NULL, NULL);

SET FOREIGN_KEY_CHECKS = 1;
