/*
 Navicat Premium Data Transfer

 Source Server         : seeseele服务器
 Source Server Type    : MySQL
 Source Server Version : 80021
 Source Host           : 175.178.124.133:3306
 Source Schema         : vrone

 Target Server Type    : MySQL
 Target Server Version : 80021
 File Encoding         : 65001

 Date: 02/12/2024 19:06:54
*/

SET NAMES utf8mb4;
SET FOREIGN_KEY_CHECKS = 0;

-- ----------------------------
-- Table structure for vr_image_data
-- ----------------------------
DROP TABLE IF EXISTS `vr_image_data`;
CREATE TABLE `vr_image_data`  (
  `id` int NOT NULL AUTO_INCREMENT COMMENT 'id',
  `data_source_id` int NULL DEFAULT NULL COMMENT '数据源id',
  `storage_id` int NULL DEFAULT NULL COMMENT '存储id',
  `url` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_german2_ci NULL DEFAULT NULL COMMENT '图片路径',
  `cover` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_german2_ci NULL DEFAULT NULL COMMENT '缩略图路径',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_time` datetime NULL DEFAULT NULL COMMENT '修改时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 16 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_german2_ci COMMENT = '图片类型数据源数据' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of vr_image_data
-- ----------------------------
INSERT INTO `vr_image_data` VALUES (1, 1, 0, 'url', 'thumbnail_url', '2024-05-12 02:05:06', NULL);
INSERT INTO `vr_image_data` VALUES (2, 2, 0, 'url', 'thumbnail_url', '2024-05-12 02:09:56', NULL);
INSERT INTO `vr_image_data` VALUES (3, 5, 0, 'img.han-zhi.net/test/VRONE-IMG/2024062311133553010分钟.png', 'img.han-zhi.net/test/VRONE-IMG/20240623111336246火海.png', '2024-06-23 19:13:37', NULL);
INSERT INTO `vr_image_data` VALUES (4, 6, 0, 'img.han-zhi.net/test/VRONE-IMG/2024062311190071610分钟.png', 'img.han-zhi.net/test/VRONE-IMG/20240623111901329火海.png', '2024-06-23 19:19:02', NULL);
INSERT INTO `vr_image_data` VALUES (5, 7, 0, 'img.han-zhi.net/test/VRONE-IMG/2024062311212078710分钟.png', 'img.han-zhi.net/test/VRONE-IMG/20240630062659161火海.png', '2024-06-23 19:21:22', '2024-06-30 14:27:00');
INSERT INTO `vr_image_data` VALUES (6, 9, 0, 'img.han-zhi.net/test/VRONE-IMG/2024062311532962910分钟.png', 'img.han-zhi.net/test/VRONE-IMG/20240630062813888火海.png', '2024-06-23 19:53:35', '2024-06-30 14:28:14');
INSERT INTO `vr_image_data` VALUES (7, 11, 0, 'img.han-zhi.net/test/VRONE-IMG/2024062312013725210分钟.png', 'img.han-zhi.net/test/VRONE-IMG/20240623120137960火海.png', '2024-06-23 20:01:39', NULL);
INSERT INTO `vr_image_data` VALUES (8, 12, 0, 'img.han-zhi.net/test/VRONE-IMG/2024062312025655310分钟.png', 'img.han-zhi.net/test/VRONE-IMG/20240623120257143火海.png', '2024-06-23 20:02:58', NULL);
INSERT INTO `vr_image_data` VALUES (9, 13, 0, 'img.han-zhi.net/test/VRONE-IMG/2024062312040912710分钟.png', 'img.han-zhi.net/test/VRONE-IMG/20240623120409660火海.png', '2024-06-23 20:04:10', NULL);
INSERT INTO `vr_image_data` VALUES (10, 14, 0, 'img.han-zhi.net/test/VRONE-IMG/2024062312070871910分钟.png', 'img.han-zhi.net/test/VRONE-IMG/2024062312070929210分钟.png', '2024-06-23 20:07:10', NULL);
INSERT INTO `vr_image_data` VALUES (11, 15, 0, 'img.han-zhi.net/test/VRONE-IMG/20240630062941690火海.png', 'img.han-zhi.net/test/VRONE-IMG/2024063006294224810分钟.png', '2024-06-23 20:10:01', '2024-06-30 14:29:43');
INSERT INTO `vr_image_data` VALUES (12, 16, 0, 'img.han-zhi.net/test/VRONE-IMG/2024062312102550810分钟.png', 'img.han-zhi.net/test/VRONE-IMG/20240623121026054火海.png', '2024-06-23 20:10:27', NULL);
INSERT INTO `vr_image_data` VALUES (13, 17, 0, 'img.han-zhi.net/test/VRONE-IMG/2024062312121944110分钟.png', 'img.han-zhi.net/test/VRONE-IMG/20240623121219985火海.png', '2024-06-23 20:12:21', NULL);
INSERT INTO `vr_image_data` VALUES (14, 18, 0, 'img.han-zhi.net/test/VRONE-IMG/20240623130604787b5b719582c1fe33c2508b73c05a9d73e.jpg', 'img.han-zhi.net/test/VRONE-IMG/20240623130605379b5b719582c1fe33c2508b73c05a9d73e.jpg', '2024-06-23 21:06:06', NULL);
INSERT INTO `vr_image_data` VALUES (15, 19, 0, 'img.han-zhi.net/test/VRONE-IMG/20240630063311891bg01.png', 'img.han-zhi.net/test/VRONE-IMG/202406300633170151.jpeg', '2024-06-30 14:32:38', '2024-06-30 14:33:22');

SET FOREIGN_KEY_CHECKS = 1;
