/*
 Navicat Premium Data Transfer

 Source Server         : seeseele服务器
 Source Server Type    : MySQL
 Source Server Version : 80021
 Source Host           : 175.178.124.133:3306
 Source Schema         : vrone

 Target Server Type    : MySQL
 Target Server Version : 80021
 File Encoding         : 65001

 Date: 02/12/2024 19:07:39
*/

SET NAMES utf8mb4;
SET FOREIGN_KEY_CHECKS = 0;

-- ----------------------------
-- Table structure for vr_transactions
-- ----------------------------
DROP TABLE IF EXISTS `vr_transactions`;
CREATE TABLE `vr_transactions`  (
  `id` int NOT NULL AUTO_INCREMENT COMMENT '自增id',
  `user_id` int NOT NULL COMMENT ' 用户id',
  `recharge` decimal(15, 2) NOT NULL COMMENT '支付金额',
  `money` decimal(15, 2) NULL DEFAULT NULL COMMENT '余额',
  `payment_method` tinyint(1) NOT NULL COMMENT '支付方式 1银行转账 2支付宝 3微信 4账户余额',
  `mark` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '支付备注',
  `payment_type` tinyint(1) NOT NULL COMMENT '支付类型 0余额充值 1购买模板 2其他',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '创建者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 12 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '支付记录表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of vr_transactions
-- ----------------------------

SET FOREIGN_KEY_CHECKS = 1;
