/*
 Navicat Premium Data Transfer

 Source Server         : seeseele服务器
 Source Server Type    : MySQL
 Source Server Version : 80021
 Source Host           : 175.178.124.133:3306
 Source Schema         : vrone

 Target Server Type    : MySQL
 Target Server Version : 80021
 File Encoding         : 65001

 Date: 02/12/2024 19:07:44
*/

SET NAMES utf8mb4;
SET FOREIGN_KEY_CHECKS = 0;

-- ----------------------------
-- Table structure for vr_video_data
-- ----------------------------
DROP TABLE IF EXISTS `vr_video_data`;
CREATE TABLE `vr_video_data`  (
  `id` int NOT NULL AUTO_INCREMENT COMMENT 'id',
  `data_source_id` int NULL DEFAULT NULL COMMENT '数据源id',
  `storage_id` int NULL DEFAULT NULL COMMENT '存储id',
  `url` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_german2_ci NULL DEFAULT NULL COMMENT '视频路径',
  `cover` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_german2_ci NULL DEFAULT NULL COMMENT '封面图路径',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_time` datetime NULL DEFAULT NULL COMMENT '修改时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 6 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_german2_ci COMMENT = '视频类型数据源数据' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of vr_video_data
-- ----------------------------
INSERT INTO `vr_video_data` VALUES (1, 3, 0, 'url', 'thumbnail_url', '2024-05-12 02:10:08', NULL);
INSERT INTO `vr_video_data` VALUES (2, 4, 0, 'url', 'thumbnail_url', '2024-05-12 02:10:14', NULL);
INSERT INTO `vr_video_data` VALUES (3, 8, 0, 'img.han-zhi.net/test/VRONE-VIDEO/20240630061810148测试.mp4', 'img.han-zhi.net/test/VRONE-IMG/20240630061805301bg01.png', '2024-06-23 19:27:59', '2024-06-30 14:18:12');
INSERT INTO `vr_video_data` VALUES (4, 10, 0, 'img.han-zhi.net/test/VRONE-VIDEO/20240623115729687测试.mp4', 'img.han-zhi.net/test/VRONE-IMG/20240623115724979bg01.png', '2024-06-23 19:57:31', NULL);
INSERT INTO `vr_video_data` VALUES (5, 20, 0, 'img.han-zhi.net/test/VRONE-VIDEO/20240630063300129测试.mp4', 'img.han-zhi.net/test/VRONE-IMG/20240630063255157bg01.png', '2024-06-30 14:33:01', NULL);

SET FOREIGN_KEY_CHECKS = 1;
