package com.ruoyi.project.domain.vo;

import com.ruoyi.project.domain.Notice;
import io.swagger.annotations.ApiModelProperty;

public class NoticeVo {

    @ApiModelProperty(value = "id")
    private Long id;

    @ApiModelProperty(value = "标题")
    private String title;

    @ApiModelProperty(value = "内容")
    private String content;

    @ApiModelProperty(value = "类型")
    private Long type;

    @ApiModelProperty(value = "状态，0=，未读；1，已读；2，全体通知")
    private Integer state;

    public NoticeVo() {
    }

    public NoticeVo(Notice notice, Integer state) {
        this.id = notice.getId();
        this.type = notice.getType();
        this.title = notice.getTitle();
        this.content = notice.getContent();
        this.state = state;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Integer getState() {
        return state;
    }

    public void setState(Integer state) {
        this.state = state;
    }

    public Long getType() {
        return type;
    }

    public void setType(Long type) {
        this.type = type;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }
}
