package com.ruoyi.project.domain.vo;

import com.ruoyi.project.domain.Spot;
import io.swagger.annotations.ApiModelProperty;

public class UnityVo {

    @ApiModelProperty(value = "id")
    private String id;

    @ApiModelProperty(value = "数据类型")
    private String type;

    @ApiModelProperty(value = "缩略图")
    private String coverUrl;

    @ApiModelProperty(value = "数据地址")
    private String dataUrl;

    @ApiModelProperty(value = "配置")
    private String config;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getCoverUrl() {
        return coverUrl;
    }

    public void setCoverUrl(String coverUrl) {
        this.coverUrl = coverUrl;
    }

    public String getDataUrl() {
        return dataUrl;
    }

    public void setDataUrl(String dataUrl) {
        this.dataUrl = dataUrl;
    }

    public String getConfig() {
        return config;
    }

    public void setConfig(String config) {
        this.config = config;
    }

    public UnityVo() {
    }

    public UnityVo(Spot spot) {
        this.id = spot.getId();
        this.type = spot.getType().toString();
        this.config = spot.getConfig();
    }
}
