package com.ruoyi.controller;

import cn.dev33.satoken.annotation.SaCheckLogin;
import com.ruoyi.common.annotation.Anonymous;
import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.domain.AjaxResult;

import com.ruoyi.service.MFeedbackTypeService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;


/**
 * @author xuanxuan
 * 用户反馈类型Controller
 */
@Api(tags = "用户反馈类型模块")
@RestController
@RequestMapping("/vrone/mobile/feedbackType")
@Anonymous
@SaCheckLogin
public class MFeedbackTypeController extends BaseController {

    @Autowired
    private MFeedbackTypeService feedbackTypeService;

    @GetMapping("/getFeedbackTypeList")
    @ApiOperation(value = "获取反馈类型", notes = "传参为id（反馈id）")
    public AjaxResult getFeedbackTypeList(){

        return success(feedbackTypeService.selectFeedbackType());
    }
}
