package com.ruoyi.controller;


import com.ruoyi.common.annotation.Anonymous;
import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.domain.MNotice;
import com.ruoyi.service.MNoticeService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

/**
 * @author xuanxuan
 * 展厅Controller
 */
@Api(tags = "通知模块")
@RestController
@RequestMapping("/vrone/mobile/notice")
@Anonymous
//@SaCheckLogin
public class MNoticeController extends BaseController {

    @Autowired
    private MNoticeService noticeService;


    @GetMapping("/showList")
    @ApiOperation(value = "查询通知列表", notes = "")
    public AjaxResult showList() {
        List<MNotice> list = noticeService.selectShowNoticeList();
        return success(list);
    }
}
