package com.ruoyi.domain;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;

/**
 * @author xuanxuan
 * 购物车
 */
@ApiModel(value = "Cart", description = "购物车对象")
@Data
@NoArgsConstructor
@AllArgsConstructor
public class MCart {

    @ApiModelProperty(value = "模板id")
    private Integer id;

    @ApiModelProperty(value = "用户id")
    private Integer userId;

    @ApiModelProperty(value = "模板名称")
    private String title;

    @ApiModelProperty(value = "模板链接")
    private String url;

    @ApiModelProperty(value = "模板简介")
    private String introduction;

    @ApiModelProperty(value = "行业")
    private String industry;

    @ApiModelProperty(value = "价格")
    private BigDecimal price;

}
