package com.ruoyi.domain;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;

/**
 * @author xuanxuan
 * vr_scene
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@ApiModel(value = "Scene", description = "场景对象")
public class MScene {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "id")
    private Long id;

    @ApiModelProperty(value = "用户id")
    private Long userId;

    @ApiModelProperty(value = "展厅id")
    private Long appId;

    @ApiModelProperty(value = "模板id")
    private Long templateId;

    @ApiModelProperty(value = "类型")
    private Long type;

    @ApiModelProperty(value = "标题")
    private String title;

    @ApiModelProperty(value = "场景缩略图")
    private String cover;

    @ApiModelProperty(value = "展示点")
    private String spot;

    @ApiModelProperty(value = "状态")
    private Integer status;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @ApiModelProperty(value = "修改时间")
    private Date updateTime;

}
