package com.ruoyi.domain.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;

/**
 * @author xuanxuan
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class MOrderDetailVo {

    @ApiModelProperty(value = "订单详情ID")
    private Long id;

    @ApiModelProperty(value = "订单ID")
    private Long orderId;

    @ApiModelProperty(value = "模板ID")
    private Long templateId;

    @ApiModelProperty(value = "模板名称")
    private String templateName;

    @ApiModelProperty(value = "数量")
    private Long quantity;

    @ApiModelProperty(value = "数量")
    private Double price;

    @ApiModelProperty(value = "创建时间")
    private Date create_time;
}
