package com.ruoyi.mapper;

import com.ruoyi.domain.MFeedback;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * @author xuanxuan
 */
@Mapper
public interface MFeedbackMapper {

    /**
     * 新增反馈
     *
     * @param feedback 反馈对象
     * @return 结果
     */
    boolean insertFeedback(MFeedback feedback);

    /**
     * 根据用户id查询反馈列表
     *
     * @param userId 反馈
     * @return 结果
     */
    List<MFeedback> selectMFeedbackByUserId(long userId);

    /**
     * 根据id查询反馈列表
     *
     * @param id 反馈
     * @return 结果
     */
    List<MFeedback> selectMFeedbackById(Long id);
}
