package com.ruoyi.service;

import com.ruoyi.domain.MArticle;
import com.ruoyi.domain.MTemplate;

import java.util.List;

/**
 * @author xuanxuan
 */
public interface MArticleService {

    /**
     * 查询文章列表
     *
     * @param article 文章
     * @return 文章集合
     */
    List<MArticle> selectArticleList(MArticle article);

    /**
     * 查询文章详情
     *
     * @param id 文章id
     * @return 文章想详细信息
     */
    MArticle selectArticleById(Long id);

    /**
     * 增加文章浏览量
     * @param id 文章id
     */
    void incrementViewCount(Long id);
}
