package com.ruoyi.util;

import java.util.Random;
/**
 * @author xuanxuan
 * 工具类：生成验证码
 */
public class CodeUtils {
    private static final String CODE_POOL = "0123456789";
    private static final int CODE_LENGTH = 6;

    public static String generateCode() {
        Random random = new Random();
        StringBuilder code = new StringBuilder();
        for (int i = 0; i < CODE_LENGTH; i++) {
            code.append(CODE_POOL.charAt(random.nextInt(CODE_POOL.length())));
        }
        return code.toString();
    }
}
